aboutsummaryrefslogtreecommitdiff
path: root/scripts/twitch-stream.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/twitch-stream.sh')
-rwxr-xr-xscripts/twitch-stream.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/scripts/twitch-stream.sh b/scripts/twitch-stream.sh
new file mode 100755
index 0000000..cd4737a
--- /dev/null
+++ b/scripts/twitch-stream.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+[ "$#" -ne 3 ] && echo "usage: twitch-stream.sh <window_id> <fps> <livestream_key>" && exit 1
+active_sink="$(pactl get-default-sink).monitor"
+gpu-screen-recorder -w "$1" -c flv -f "$2" -a "$active_sink" -o "rtmp://live.twitch.tv/app/$3"